## gplanarity 16723

=== debian/changelog ===
gplanarity (16723-1) unstable; urgency=low

  * New upstream release
  * Set Debian Games Team as Maintainer and add myself in Uploaders
    (Closes: #579368)
  * debian/control:
    - Add ${misc:Depends}
    - Update Standards-Version to 3.8.4
    - Add Homepage field
    - Add Vcs-Git and Vcs-Browser fields
  * Set debhelper compatibility level to 7
  * Add debian/source/format: Switch to 3.0 (quilt) format
  * debian/gplanarity.desktop: Remove Encoding key and update Categories
    (Closes: #447475)
  * debian/copyright: Fix copyright-with-old-dh-make-debian-copyright
  * debian/rules: Use dh7
    - Add debian/clean and debian/gplanarity.manpages
    - Build-Depends on debhelper 7.0.50~
  * debian/patches/nls.patch: Added, Fix FTBFS
  * debian/patches/makefile.patch: Added, Fix install directories

 -- Vincent Legout <vincent@legout.info>  Thu, 17 Jun 2010 10:20:56 +0200

gplanarity (11496-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing build dependency on libjasper-dev. Fix FTBFS.
    Thanks to Peter Green for the bug triage. (Closes: #521937)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Sep 2009 17:24:31 +0200

gplanarity (11496-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding libtiff-dev to build-depends as suggested by Cédric Boutillier
    (Closes: #453174)

 -- Alexander Schmehl <tolimar@debian.org>  Thu, 21 Feb 2008 01:42:52 +0100

gplanarity (11496-2) unstable; urgency=low

  * Added desktop file. (Closes: #396040)
  * Only use debhelper commands.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 29 Jul 2007 15:00:59 +0200

gplanarity (11496-1) unstable; urgency=low

  * Initial release. (Closes: #369932)
  * Wrote manpage.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 25 Jun 2006 14:16:49 +0200
