=== debian/control ===
Source: gplanarity
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vincent@legout.info>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, libjasper-dev
Standards-Version: 3.8.4
Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
Vcs-Git: git://git.debian.org/git/pkg-games/gplanarity.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/gplanarity.git

Package: gplanarity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple puzzle game involving untangling planar graphs
 gPlanarity is a puzzle game with the goal to untangle planar graphs for
 fun and prizes. If you tend to get addicted to cute little math  puzzles,
 this one is a doozy.
 .
 gPlanarity is a super-clone of the flash Planarity game written by John
 Tantalo. The original Planarity ran well in IE and Firefox on other
 platforms, but was slow and liked to lock up or abort under Linux
 browsers.
 .
 gPlanarity implements gameplay identical to the original Planarity but
 adds some UI and game extras around the basic game such as multiple
 board generation algorithms, puzzle boards, complete backing state,
 group select/drag and so on.
