=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	[ -e version.h.orig ] || cp -p version.h version.h.orig
	[ -e  po/cs.po.orig ] || cp -p po/cs.po po/cs.po.orig
	[ -e  po/es_ES.po.orig ] || cp -p po/es_ES.po po/es_ES.po.orig
	[ -e  po/fr_FR.po.orig ] || cp -p po/fr_FR.po po/fr_FR.po.orig
	[ -e  po/gPlanarity.pot.orig ] || cp -p po/gPlanarity.pot \
		po/gPlanarity.pot.orig
	docbook-to-man debian/gplanarity.sgml > gplanarity.6
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/gplanarity/usr/games/gPlanarity \
		$(CURDIR)/debian/gplanarity/usr/games/gplanarity

override_dh_auto_clean:
	dh_auto_clean
	[ ! -e version.h.orig ] || mv version.h.orig version.h
	[ ! -e po/cs.po.orig ] || mv po/cs.po.orig po/cs.po
	[ ! -e po/es_ES.po.orig ] || mv po/es_ES.po.orig po/es_ES.po
	[ ! -e po/fr_FR.po.orig ] || mv po/fr_FR.po.orig po/fr_FR.po
	[ ! -e po/gPlanarity.pot.orig ] || mv po/gPlanarity.pot.orig \
		po/gPlanarity.pot

get-orig-source:
	svn co http://svn.xiph.org/trunk/planarity/
	rm -rf planarity/.svn planarity/po/.svn
	mv planarity gplanarity-16723
	tar czf gplanarity_16723.orig.tar.gz gplanarity-16723
	rm -rf gplanarity-16723
