=== debian/changelog ===
gplanarity (17906-6) unstable; urgency=medium

  * Remove Build-Depends on libjasper-dev (Closes: #818215)
  * Switch VCS fields to https

 -- Vincent Legout <vlegout@debian.org>  Wed, 16 Mar 2016 18:37:37 -0400

gplanarity (17906-5) unstable; urgency=low

  * Add icon in menu file (Closes: #726359)
    - Build-Depends on imagemagick to generate the xpm file

 -- Vincent Legout <vlegout@debian.org>  Sun, 20 Oct 2013 08:48:07 +0200

gplanarity (17906-4) unstable; urgency=low

  * debian/patches/fix_makefile_flags.patch: Updated, pass -lm to fix FTBFS
    (Closes: #713486)
  * debian/control:
    - Use canonical URI in VCS fields
    - Standards-Version 3.9.4 (No changes needed)

 -- Vincent Legout <vlegout@debian.org>  Sun, 23 Jun 2013 11:17:35 +0200

gplanarity (17906-3) unstable; urgency=low

  * debian/patches/fontconfig.patch: Fix crash with current fontconfig
    (Closes: #673968)

 -- Vincent Legout <vlegout@debian.org>  Fri, 25 May 2012 11:09:57 +0200

gplanarity (17906-2) unstable; urgency=low

  * Update my email address
  * Remove the DM-Upload-Allowed field
  * debian/rules: Enable all hardening flags
  * Use debhelper 9 (debian/compat, debhelper Build-Depends)
  * fix_makefile_flags.patch: Added, fix how CFLAGS and LDFLAGS and handled
  * Standards-Version 3.9.3 (No changes needed)

 -- Vincent Legout <vlegout@debian.org>  Sat, 24 Mar 2012 18:22:05 +0100

gplanarity (17906-1) unstable; urgency=low

  * New upstream release
    - Drop fix_blank_window.patch, fixed upstream
  * debian/rules:
    - clean new po files updated during build time
    - get-orig-source: Use svn export instead of svn checkout
  * gplanarity.desktop: Value for key "Icon" should not have an extension
  * Add DM-Upload-Allowed: yes
  * Bump Standards-Version to 3.9.2 (No changes needed)

 -- Vincent Legout <vincent@legout.info>  Mon, 25 Apr 2011 20:46:50 +0200

gplanarity (16723-3) unstable; urgency=low

  * Upload to unstable
  * Switch to debhelper 8

 -- Vincent Legout <vincent@legout.info>  Tue, 15 Mar 2011 19:18:25 +0100

gplanarity (16723-2) experimental; urgency=low

  * debian/patches/fix_blank_window.patch: Added.
    (Closes: #553500, LP: #428373)
  * Bump Standards-Version to 3.9.1 (No changes needed)
  * Remove debian/dirs

 -- Vincent Legout <vincent@legout.info>  Sat, 04 Dec 2010 20:54:28 +0100
