=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vincent@legout.info>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, libjasper-dev
-Standards-Version: 3.8.4
+Uploaders: Vincent Legout <vlegout@debian.org>
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, imagemagick
+Standards-Version: 3.9.4
 Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
-Vcs-Git: git://git.debian.org/git/pkg-games/gplanarity.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/gplanarity.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/gplanarity.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gplanarity.git
 
 Package: gplanarity
 Architecture: any
