## gplanarity 17906+fork202521211

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # and Fuck its little dog Libtool too
 
 TARGET  = gPlanarity
-CC      = gcc 
+CC      = gcc
 LD      = gcc
 export INSTALL = install
 PREFIX  = /usr/local
@@ -18,7 +18,7 @@
 
 # All subdirs with Makefiles
 
-SUBDIRS = 
+SUBDIRS =
 
 # By default, enable NLS
 ifeq ($(origin DISABLE_NLS), undefined)
@@ -49,26 +49,26 @@
 	dialog_level_icons.o gameboard_draw_text.o random.o graph_generate_data.o\
 	gameboard_logic_fade.o graph_generate_mesh2.o graph_region.o
 CAIROVER =  >= 1.0.0
-GTKVER   =  >= 2.7.2
-GCF  = `pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
-LDF  = `pkg-config --libs "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
+GTKVER   =  >= 3.24.0
+GCF  = `pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig"`
+LDF  = `pkg-config --libs "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig"`
 
 all: all-local all-recursive
 
-all-local:    
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
+all-local:
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
 	$(MAKE) target CFLAGS='-O2 -ffast-math $(GCF) $(ADD_DEF)'
 
 all-recursive:
 	for D in $(SUBDIRS); do make -C $$D || exit 1; done
 
 debug:
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
-	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF)'
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
+	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF) $(CLFAGS)'
 
 profile:
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
-	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF)" LIBS="$(LIBS) -lgprof-helper'
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
+	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF) $(CFLAGS)'
 
 clean: clean-local clean-recursive
 
@@ -89,9 +89,9 @@
 include $(SRC:.c=.d)
 endif
 
-target:  $(OBJ) 
+target:  $(OBJ)
 	./touch-version
-	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) $(LDF)
+	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) -lm $(LDF)
 
 install: install-local install-recursive
