=== debian/changelog ===
gplanarity (17906+fork202521211-2) unstable; urgency=medium

  * Team upload.
  * Do not attempt to install removed .xpm icon

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Dec 2025 20:16:26 +0100

gplanarity (17906+fork202521211-1) unstable; urgency=medium

  * Team upload.
  * Switch to fork at https://gitlab.com/twied/gplanarity
  * Port to GTK-3 (Closes: #967452)
  * Drop old Debian menu entry

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Dec 2025 19:47:18 +0100

gplanarity (17906-8) UNRELEASED; urgency=medium

  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.1.5, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 03 Nov 2022 02:34:38 -0000

gplanarity (17906-7) unstable; urgency=medium

  * patches/cross.patch: fix cross build, patch from Helmut Grohne
    (Closes: #901691)
  * Standards-Version 4.1.4
  * Set VCS fields to salsa
  * Set debhelper compat to 11

 -- Vincent Legout <vlegout@debian.org>  Sun, 17 Jun 2018 08:59:51 +0200
