=== debian/control ===
--- 
+++ 
@@ -2,16 +2,25 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vlegout@debian.org>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, imagemagick
-Standards-Version: 3.9.4
-Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/gplanarity.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gplanarity.git
+Uploaders:
+ Vincent Legout <vlegout@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-to-man,
+ libcairo2-dev,
+ libfreetype-dev,
+ libgtk-3-dev,
+ libtiff-dev,
+Standards-Version: 4.7.2
+Homepage: https://web.mit.edu/xiphmont/Public/gPlanarity.html
+Vcs-Git: https://salsa.debian.org/games-team/gplanarity.git
+Vcs-Browser: https://salsa.debian.org/games-team/gplanarity
 
 Package: gplanarity
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: simple puzzle game involving untangling planar graphs
  gPlanarity is a puzzle game with the goal to untangle planar graphs for
  fun and prizes. If you tend to get addicted to cute little math  puzzles,
