=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,13 @@
 	[ -e  po/gPlanarity.pot.orig ] || cp -p po/gPlanarity.pot \
 		po/gPlanarity.pot.orig
 	docbook-to-man debian/gplanarity.sgml > gplanarity.6
-	convert -monitor -resize 32x32 gPicon.png gplanarity.xpm
 	dh_auto_configure
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mv $(CURDIR)/debian/gplanarity/usr/games/gPlanarity \
 		$(CURDIR)/debian/gplanarity/usr/games/gplanarity
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	[ ! -e version.h.orig ] || mv version.h.orig version.h
 	[ ! -e po/ca.po.orig ] || mv po/ca.po.orig po/ca.po
 	[ ! -e po/cs.po.orig ] || mv po/cs.po.orig po/cs.po
@@ -33,10 +30,3 @@
 	[ ! -e po/fr_FR.po.orig ] || mv po/fr_FR.po.orig po/fr_FR.po
 	[ ! -e po/gPlanarity.pot.orig ] || mv po/gPlanarity.pot.orig \
 		po/gPlanarity.pot
-
-version=17906
-
-get-orig-source:
-	svn export -r $(version) http://svn.xiph.org/trunk/planarity/ gplanarity-$(version)
-	tar czf gplanarity_$(version).orig.tar.gz gplanarity-$(version)
-	rm -rf gplanarity-$(version)
